/**********************************************************************
 * Copyright (c) 2000,2002 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v0.5
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v05.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.webdav.internal.kernel.utils;

import java.util.NoSuchElementException;

public class EmptyEnumeration extends EnumerationFilter {
public EmptyEnumeration() {
	super();
}
public boolean hasMoreElements() {

	return false;
}
public Object nextElement() {
	
	throw new NoSuchElementException();
}
}
